import HttpClient from '../../services/HttpClient';
import SigningRequest from '../helpers/SigningRequest';
import { Account, AccountBalance } from '../types/Account';
import { Fees } from '../types/Fees';
export declare class AccountAPI extends HttpClient {
    private _signReq;
    constructor({ version, test }: {
        version: string;
        test?: boolean;
    }, signRequest: SigningRequest);
    getAccountBalance(): Promise<[AccountBalance]>;
    getAccountStatus(): Promise<Account>;
    getFees(): Promise<Fees>;
    private _initializeResponseInterceptor;
    private _initializeRequestInterceptor;
    private _handleRequest;
    private _handleResponse;
    protected _handleError: (error: any) => Promise<never>;
}
