import HttpClient from '../../services/HttpClient';
import IBooks, { Ticker } from '../types/IBooks';
import IOrderBook from '../types/IOrderBook';
import ITickers from '../types/ITickers';
import { ITrades } from '../types/Trades';
export declare class PublicAPI extends HttpClient {
    constructor({ version, test }: {
        version: string;
        test?: boolean;
    });
    getAvailableBooks(): Promise<IBooks[]>;
    getTicker(book: Ticker): Promise<ITickers>;
    getOrderBook(book: Ticker): Promise<IOrderBook[]>;
    getTrades({ book, marker, sort, limit }: {
        book: Ticker;
        marker?: string;
        sort?: 'desc' | 'asc';
        limit?: string;
    }): Promise<[ITrades]>;
    private _initializeResponseInterceptor;
    private _handleResponse;
    protected _handleError: (error: any) => Promise<never>;
}
