import { AxiosInstance } from 'axios';
declare module 'axios' {
    interface AxiosResponse<T = any> extends Promise<T> {
    }
}
export default abstract class HttpClient {
    private baseUrl;
    private headers?;
    private timeout?;
    protected readonly _httpClient: AxiosInstance;
    constructor(baseUrl: string, headers?: any, timeout?: number);
    private openConnection;
    setAuthToken(token: string): void;
    setHeaders(customHeaders: object): void;
    setAPIBase(url: string): void;
    getInstance(): AxiosInstance;
}
